Subject: Iconify-and-Compact function wreaks havoc

From: [email-masked]
Date: Wed, 23 Jun 1999 10:53:53 -0500 (CDT)

Full_Name: Paul Smith
Version: 2.3.4
CVS_Date: 23-Jun 10am EDT
OS: Solaris 2.5.1
X_Server: X11R6.3
Submission from: (NULL) (192.32.138.39)
Submitted by: psmith

Tim Phipps suggested a cool idea for allowing the deiconify
operation to reorder the remaining icons, compacting them.
I implemented it like this:

  AddToFunc Iconify-and-Compact
  +       "C" Iconify
  +       "C" All (CurrentDesk Iconic) RecaptureWindow

  Mouse 2   I   A   Function Iconify-and-Compact

However, now after the first time I deiconify with mouse-2,
_every_ new window created thereafter is created in an iconified
state.

Maybe the StartIconic flag gets set in all new windows, somehow?
No clue.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]